Name: H5Tset_fields
Signature:
  herr_t `H5Tset_fields`(hid_t `type_id`, size_t `spos`, size_t `epos`, size_t `esize`, size_t `mpos`, size_t `msize` )
Purpose:
  Sets locations and sizes of floating point bit fields.
Description:
  `H5Tset_fields` sets the locations and sizes of the various floating-point bit fields. The field positions are bit positions in the significant region of the datatype. Bits are numbered with the least significant bit number zero.

  Fields are not allowed to extend beyond the number of bits of precision, nor are they allowed to overlap with one another.

Parameters:

hid_t `type_id` | Identifier of datatype to set.
size_t `spos` | Sign position, i.e., the bit offset of the floating-point sign bit.
size_t `epos` | Exponent bit position.
size_t `esize` | Size of exponent in bits.
size_t `mpos` | Mantissa bit position.
size_t `msize` | Size of mantissa in bits.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tset_fields_f

      SUBROUTINE h5tset_fields_f(type_id, epos, esize, mpos, msize, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(IN) :: epos           ! Exponent bit-position
        INTEGER, INTENT(IN) :: esize          ! Size of exponent in bits
        INTEGER, INTENT(IN) :: mpos           ! Mantissa bit-position
        INTEGER, INTENT(IN) :: msize          ! Size of mantissa in bits
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tset_fields_f